/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * dist_skel_saito.h - 10/02/2009
 *
 * Saito and Toriwaki's Euclidean Skeleton
*/


#ifndef NPIC__DIST_SKEL_SAITO_H
#define NPIC__DIST_SKEL_SAITO_H


/* PUBLIC */

double NpicSkel_Saito (Npic_image *np);


/* PRIVATE */

void Npic_Hirata_scan_skel (Npic_l *Cv, int cmax);


#endif /* NPIC__DIST_SKEL_SAITO_H */
