/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * dist_wdt.h - 13/01/2004
 *
 * Weighted Npicance Transforms (a.k.a chamfer DT)
*/


#ifndef NPIC__DIST_WDT_H
#define NPIC__DIST_WDT_H



/* PUBLIC */

double NpicWDT (Npic_image *np, Npic_mask *mh);
double NpicWDT_inf (Npic_image *np, Npic_mask *mh);
double NpicWDT_rev (Npic_image *np, Npic_mask *mh);


/* PRIVATE */

int NpicWDTCheckData (Npic_image *np, Npic_mask *mh, const char *funcname);


#endif /* NPIC__DIST_WDT_H */
