/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * image_ntype.h - 16/01/2009
 *
 * Translate image type to name and vice-versa
*/


#ifndef NPIC__IMAGE_NTYPE_H
#define NPIC__IMAGE_NTYPE_H


/* PUBLIC */

int NpicImageNtype (int dim, int pixeltype);
int NpicImagePixelType (int ntype);
const char *NpicImageTypeName (int ntype);


/* PRIVATE */


#endif /* NPIC__IMAGE_NTYPE_H */
