/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * mask_comp.h - 25/11/2008
 *
 * Some computations on masks
*/


#ifndef NPIC__MASK_COMP_H
#define NPIC__MASK_COMP_H


/* PUBLIC */

Npic_mask *NpicCompHalfMask(Npic_mask *mg);
Npic_mask *NpicCompFullMask(Npic_mask *mg);
Npic_mask *NpicCompGeneMask (Npic_mask *mh);
int NpicMaskLargestCoord (Npic_mask *m);


/* PRIVATE */

Npic_mask *NpicCompSymsMask (Npic_mask *mg, int half, const char *funcname);


#endif /* NPIC__MASK_COMP_H */
