/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * image_slice.h - 13/11/2008
 *
 * Get a slice of an image.
*/


#ifndef NPIC__IMAGE_SLICE_H
#define NPIC__IMAGE_SLICE_H


/* PUBLIC */

Npic_image *NpicCreateSlice_r (Npic_image *np1, int r);
Npic_image *NpicCreateSlice_s (Npic_image *np1, int s);
Npic_image *NpicCreateSlice_t (Npic_image *np1, int t);
Npic_image *NpicCreateSlice_z (Npic_image *np1, int z);
Npic_image *NpicCreateSlice_y (Npic_image *np1, int y);
Npic_image *NpicCreateSlice_x (Npic_image *np1, int x);


/* PRIVATE */


#endif /* NPIC__IMAGE_SLICE_H */
