/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * mlut_sedtg.h - 01/11/2008
 *
 * SEDT in G(Z^n) for Medial Axis extraction.
*/


#ifndef NPIC__MLUT_SEDTG_H
#define NPIC__MLUT_SEDTG_H


/* PUBLIC */

void   NpicMlutCTg_SED (Npic_image *nCTg);
double NpicMlutDTg_Hirata (Npic_image *nCTg, Npic_image *nDTg, int R);
double NpicMlutDTg_quadra (Npic_image *nCTg, Npic_image *nDTg, int R);


/* PRIVATE */

void NpicMlutHirata_scan (Npic_l *Cv, int a, int b);


#endif /* NPIC__MLUT_SEDTG_H */
