/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * mlut_wdtg.h - 01/11/2008
 *
 * WDT in G(Z^n) for Medial Axis extraction.
*/


#ifndef NPIC__MLUT_WDTG_H
#define NPIC__MLUT_WDTG_H


/* PUBLIC */

void NpicMlutCTg_WD (Npic_image *nCTg, Npic_mask *nMg);
double NpicMlutDTg_WD (Npic_image *nCTg, Npic_image *nDTg, Npic_mask *nMg, int R);

/* PRIVATE */


#endif /* NPIC__MLUT_WDTG_H */
